%define name 	gtk-css-engine
%define version 0.3.1
%define release %mkrel 1
%define themesdir %{_datadir}/themes

Summary:  CSS GTK2 engine
Name: 	  %{name}
Version:  %{version}
Release:  %{release}
License:  GPL
Group: 	  Graphical desktop/GNOME
URL: 	  http://gnome-look.org/
Source0:  %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk2-devel >= 2.8
BuildRequires: libccss-devel
Requires:	libccss5

%description
CSS gtk2 theme engine.

%package -n gtk-theme-Moblesse
Summary: GTK them Moblesse
Group: Graphical desktop/GNOME
Requires: %{name}

%description -n gtk-theme-Moblesse
GTK theme Mobless using the css gtk engine.

%prep
%setup -q 

%build
autoreconf -fi
%configure2_5x

%make 

%install
rm -rf %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
/etc/gtk-css-engine/user-agent.css
%exclude %_libdir/gtk-2.0/2.10.0/engines/libcss.la
%_libdir/gtk-2.0/2.10.0/engines/libcss.so

%files -n gtk-theme-Moblesse
%defattr(-, root, root, 0755)
%_datadir/themes/moblesse/gtk-2.0/arrow-down-small.png
%_datadir/themes/moblesse/gtk-2.0/arrow-down.svg
%_datadir/themes/moblesse/gtk-2.0/arrow-left.svg
%_datadir/themes/moblesse/gtk-2.0/arrow-right.svg
%_datadir/themes/moblesse/gtk-2.0/arrow-up-small.png
%_datadir/themes/moblesse/gtk-2.0/arrow-up.svg
%_datadir/themes/moblesse/gtk-2.0/generated.rc
%_datadir/themes/moblesse/gtk-2.0/gtkrc
%_datadir/themes/moblesse/gtk-2.0/gtkrc.css


%changelog
* Fri Jul 02 2010 Texstar <texstar at gmail.com> 0.3.1-1pclos2010
- create package for pclos


